Page MenuHomePhabricator

Upload cassandra-tools-wmf 1.0.1-1 Debian package to apt.w.o
Closed, ResolvedPublic

Description

The latest version of the cassandra-tools-wmf package can be found at https://people.wikimedia.org/~eevans/debian. It is signed with my key 8D77295D. It contains a single change to make working with encrypted client connections easier (see also: T111113: Cassandra client encryption).

The delta to 1.0.0-1 is quite small:

$ debdiff cassandra-tools-wmf_1.0.0-1.dsc cassandra-tools-wmf_1.0.1-1.dsc
dpkg-source: warning: extracting unsigned source package (/home/eevans/dev/src/git/cassandra/cassandra-tools-wmf_1.0.1-1.dsc)
diff -Nru cassandra-tools-wmf-1.0.0/c-cqlsh cassandra-tools-wmf-1.0.1/c-cqlsh
--- cassandra-tools-wmf-1.0.0/c-cqlsh	2016-11-08 15:43:14.000000000 -0600
+++ cassandra-tools-wmf-1.0.1/c-cqlsh	2017-03-23 12:06:45.000000000 -0500
@@ -14,4 +14,16 @@
 assert_instance_exists "$ID"
 shift 1
 
-sudo cqlsh --cqlshrc="`config_directory $ID`"/cqlshrc `listen_hostname $ID` "$@"
+CONFDIR=`config_directory $ID`
+
+use_ssl()
+{
+    enabled=`uyaml $CONFDIR/cassandra.yaml /client_encryption_options/enabled`
+    optional=`uyaml $CONFDIR/cassandra.yaml /client_encryption_options/optional`
+    if test $enabled -gt 0 -a $optional -lt 1; then
+        echo "--ssl"
+    fi
+}
+
+
+sudo cqlsh --cqlshrc="$CONFDIR"/cqlshrc `use_ssl` `listen_hostname $ID` "$@"
diff -Nru cassandra-tools-wmf-1.0.0/debian/changelog cassandra-tools-wmf-1.0.1/debian/changelog
--- cassandra-tools-wmf-1.0.0/debian/changelog	2016-11-08 15:43:21.000000000 -0600
+++ cassandra-tools-wmf-1.0.1/debian/changelog	2017-03-23 13:53:17.000000000 -0500
@@ -1,3 +1,9 @@
+cassandra-tools-wmf (1.0.1-1) unstable; urgency=medium
+
+  * New release.
+
+ -- Eric Evans <eevans@wikimedia.org>  Thu, 23 Mar 2017 12:07:11 -0500
+
 cassandra-tools-wmf (1.0.0-1) unstable; urgency=medium
 
   * Initial release.
diff -Nru cassandra-tools-wmf-1.0.0/Makefile cassandra-tools-wmf-1.0.1/Makefile
--- cassandra-tools-wmf-1.0.0/Makefile	2016-11-08 15:43:14.000000000 -0600
+++ cassandra-tools-wmf-1.0.1/Makefile	2017-03-23 12:06:45.000000000 -0500
@@ -1,5 +1,5 @@
 
-VERSION = 1.0.0
+VERSION = 1.0.1
 NAME    = cassandra-tools-wmf
 
 PREFIX   ?= /usr
diff -Nru cassandra-tools-wmf-1.0.0/uyaml cassandra-tools-wmf-1.0.1/uyaml
--- cassandra-tools-wmf-1.0.0/uyaml	2016-11-08 15:43:14.000000000 -0600
+++ cassandra-tools-wmf-1.0.1/uyaml	2017-03-23 12:06:45.000000000 -0500
@@ -25,6 +25,8 @@
 def serialize(obj):
     if isinstance(obj, list):
         return " ".join(obj)
+    elif isinstance(obj, bool):
+        return int(obj)
     else:
         return obj

Related Objects

Event Timeline

Eevans created this task.Mar 23 2017, 7:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2017, 7:11 PM
Eevans triaged this task as Medium priority.Mar 23 2017, 7:11 PM
fgiunchedi closed this task as Resolved.Mar 24 2017, 4:13 PM
fgiunchedi claimed this task.
fgiunchedi added a subscriber: fgiunchedi.

This is done!

root@install1002:~# reprepro -C backports --ignore=wrongdistribution include jessie-wikimedia ~filippo/deb/cassandra-tools-wmf_1.0.1-1_amd64.changes 
.changes put in a distribution not listed within it!
Ignoring as --ignore=wrongdistribution given.
Exporting indices...
Deleting files no longer referenced...